Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.confidence
Class IsolatedSegmentTransducerCorrector

    java.lang.Object
      cc.mallet.fst.confidence.IsolatedSegmentTransducerCorrector

All Implemented Interfaces:
  TransducerCorrector

    public class IsolatedSegmentTransducerCorrector

extends java.lang.Object
implements TransducerCorrector

Corrects a subset of the `Segment`s produced by a `Transducer`. It's most useful to find the `Segment`s that the `Transducer` is least confident in and correct those using the true `Labeling` (`correctLeastConfidenceSegments`). Unlike in `ConstrainedViterbi`, the corrected segment does not affect the labeling of other segments in the sequence. For comparison.

Constructor Summary
`IsolatedSegmentTransducerCorrector(Transducer model)`
`IsolatedSegmentTransducerCorrector(TransducerConfidenceEstimator confidenceEstimator, Transducer model)`

Method Summary
`java.util.ArrayList` | `correctLeastConfidentSegments(InstanceList ilist, java.lang.Object[] startTags, java.lang.Object[] continueTags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsolatedSegmentTransducerCorrector

    public IsolatedSegmentTransducerCorrector(TransducerConfidenceEstimator confidenceEstimator,
                                              Transducer model)

### IsolatedSegmentTransducerCorrector

    public IsolatedSegmentTransducerCorrector(Transducer model)

Method Detail

### correctLeastConfidentSegments

    public java.util.ArrayList correctLeastConfidentSegments(InstanceList ilist,
                                                             java.lang.Object[] startTags,
                                                             java.lang.Object[] continueTags)

  Specified by:
    `correctLeastConfidentSegments` in interface `TransducerCorrector`
  Parameters:
    `ilist` - original Transducer InstanceList
    `startTags` - start segment tags (B-)
    `continueTags` - continue segment tags (I-) TransducerConfidenceEstimator}
  Returns:
    a list of `Sequence`s corresponding to the corrected tagging of each Instance in `ilist`. Note that these corrections will not affect tokens outside of the corrected segment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD